Bug 1555605 - arm-none-eabi-gcc-cs: FTBFS in F28
Summary: arm-none-eabi-gcc-cs: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arm-none-eabi-gcc-cs
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:21 UTC by Fedora Release Engineering
Modified: 2019-04-06 20:18 UTC (History)
2 users (show)

Fixed In Version: arm-none-eabi-gcc-cs-7.4.0-1.fc28 arm-none-eabi-gcc-cs-7.4.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 19:21:30 UTC


Attachments (Terms of Use)
build.log (528.49 KB, text/plain)
2018-05-29 00:14 UTC, Fedora Release Engineering
no flags Details
root.log (74.84 KB, text/plain)
2018-05-29 00:14 UTC, Fedora Release Engineering
no flags Details
state.log (671 bytes, text/plain)
2018-05-29 00:14 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 86162 None None None 2019-02-28 14:30:35 UTC

Description Fedora Release Engineering 2018-03-14 19:21:30 UTC
Your package arm-none-eabi-gcc-cs failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24767854

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-29 00:14:29 UTC
Created attachment 1444989 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-29 00:14:34 UTC
Created attachment 1444990 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-29 00:14:38 UTC
Created attachment 1444991 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:26:18 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:27:44 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:28:44 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 7 Michal Hlavinka 2018-07-11 08:10:10 UTC
This was fixed upstream, it seems that this should be relevant commit:
https://github.com/gcc-mirror/gcc/commit/1c67942e074cd57215df5b0667542638bff1cd67
waiting for new gcc-7 snapshot to test

Comment 8 Fedora Update System 2019-03-25 21:07:10 UTC
arm-none-eabi-gcc-cs-7.4.0-1.fc28 arm-none-eabi-newlib-3.1.0-2.fc28 arm-none-eabi-binutils-cs-2.32-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3328f43d89

Comment 9 Fedora Update System 2019-03-25 21:07:29 UTC
arm-none-eabi-newlib-3.1.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1af067fbe

Comment 10 Fedora Update System 2019-03-25 21:07:39 UTC
arm-none-eabi-gcc-cs-7.4.0-1.fc29 arm-none-eabi-newlib-3.1.0-2.fc29 arm-none-eabi-binutils-cs-2.32-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-280f25c3e4

Comment 11 Fedora Update System 2019-03-27 00:45:02 UTC
arm-none-eabi-newlib-3.1.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1af067fbe

Comment 12 Fedora Update System 2019-03-27 04:11:38 UTC
arm-none-eabi-binutils-cs-2.32-1.fc28, arm-none-eabi-gcc-cs-7.4.0-1.fc28, arm-none-eabi-newlib-3.1.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3328f43d89

Comment 13 Fedora Update System 2019-03-27 04:34:20 UTC
arm-none-eabi-binutils-cs-2.32-1.fc29, arm-none-eabi-gcc-cs-7.4.0-1.fc29, arm-none-eabi-newlib-3.1.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-280f25c3e4

Comment 14 Fedora Update System 2019-04-06 19:21:30 UTC
arm-none-eabi-binutils-cs-2.32-1.fc28, arm-none-eabi-gcc-cs-7.4.0-1.fc28, arm-none-eabi-newlib-3.1.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-06 19:43:00 UTC
arm-none-eabi-binutils-cs-2.32-1.fc29, arm-none-eabi-gcc-cs-7.4.0-1.fc29, arm-none-eabi-newlib-3.1.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-04-06 20:18:40 UTC
arm-none-eabi-newlib-3.1.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.